"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Logger = void 0;
var _stream = require("stream");
const orderedLogLevels = ["error", "info", "debug"];
class Logger {
  output = new _stream.PassThrough({
    objectMode: true
  });
  constructor(level) {
    this.level = level;
  }
  log(level, text) {
    if (this.shouldLog(level)) {
      for (const line of text.split("\n")) {
        this.output.write(` (${level}) ${line}\n`);
      }
    }
  }
  shouldLog(level) {
    return orderedLogLevels.indexOf(level) <= orderedLogLevels.indexOf(this.level);
  }
}
exports.Logger = Logger;
//# sourceMappingURL=Logger.js.map