/// <reference types="node" />
import { PassThrough } from "stream";
import cloneable from "cloneable-readable";
import { NormalizedServiceConfig } from "./validateAndNormalizeConfig";
import { Logger } from "./Logger";
export declare class Service {
    readonly id: string;
    readonly config: NormalizedServiceConfig;
    readonly output: cloneable.Cloneable<PassThrough>;
    private readonly outputClone;
    private readonly logger;
    private readonly handleFatalError;
    private ready;
    private process;
    private startResult;
    private stopResult;
    private crashes;
    constructor(id: string, config: NormalizedServiceConfig, logger: Logger, handleFatalError: (message: string) => void);
    private die;
    start(): Promise<void> | undefined;
    private defineReady;
    private startProcess;
    private handleCrash;
    stop(windowsCtrlCShutdown: boolean): Promise<void>;
}
