"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createReadyContext = createReadyContext;
var _util = require("util");
var _onceTcpPortUsed = require("./util/onceTcpPortUsed");
var _onceHttpOk = require("./util/onceHttpOk");
var _onceOutputLine = require("./util/onceOutputLine");
const delay = (0, _util.promisify)(setTimeout);
function createReadyContext(output) {
  return {
    onceTcpPortUsed: _onceTcpPortUsed.onceTcpPortUsed,
    onceHttpOk: _onceHttpOk.onceHttpOk,
    onceOutputLineIs: line => (0, _onceOutputLine.onceOutputLine)(output, l => l === line),
    onceOutputLineIncludes: text => (0, _onceOutputLine.onceOutputLine)(output, l => l.includes(text)),
    onceOutputLine: test => (0, _onceOutputLine.onceOutputLine)(output, test),
    onceDelay: milliseconds => delay(milliseconds)
  };
}
//# sourceMappingURL=createReadyContext.js.map