"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startCompositeService = startCompositeService;
var _validateAndNormalizeConfig = require("./validateAndNormalizeConfig");
var _CompositeService = require("./CompositeService");
let started = false;

/**
 * Starts a composite service in the current Node.js process
 */
function startCompositeService(config) {
  if (started) {
    throw new Error("Already started a composite service in this process");
  }
  const normalizedConfig = (0, _validateAndNormalizeConfig.validateAndNormalizeConfig)(config);
  new _CompositeService.CompositeService(normalizedConfig);
  started = true;
}
//# sourceMappingURL=startCompositeService.js.map