"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onceHttpOk = onceHttpOk;
var _http = require("http");
var _events = require("events");
var _onceAsyncTest = require("./onceAsyncTest");
async function onceHttpOk(requestOptions, expectedStatus = 200) {
  const {
    url,
    ...options
  } = requestOptions;
  return (0, _onceAsyncTest.onceAsyncTest)(250, async () => {
    const req = url ? (0, _http.request)(url, options) : (0, _http.request)(options);
    req.end();
    try {
      const res = (await (0, _events.once)(req, "response"))[0];
      res.destroy();
      return res.statusCode === expectedStatus;
    } catch (error) {
      if (["ECONNREFUSED", "ETIMEDOUT", "ECONNRESET"].includes(error.code)) {
        return false;
      }
      throw error;
    } finally {
      req.destroy();
    }
  });
}
//# sourceMappingURL=onceHttpOk.js.map