"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onceOutputLine = onceOutputLine;
function onceOutputLine(output, test) {
  return new Promise((resolve, reject) => {
    const handler = line => {
      let testResult = false;
      try {
        testResult = test(line);
      } catch (error) {
        cleanup();
        reject(error);
        return;
      }
      if (testResult) {
        cleanup();
        resolve();
      }
    };
    output.on("data", handler);
    const cleanup = () => output.off("data", handler);
  });
}
//# sourceMappingURL=onceOutputLine.js.map