"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onceTcpPortUsed = onceTcpPortUsed;
var _net = require("net");
var _events = require("events");
var _onceAsyncTest = require("./onceAsyncTest");
async function onceTcpPortUsed(port, host = "localhost") {
  const portNumber = typeof port === "number" ? port : parseInt(port, 10);
  return (0, _onceAsyncTest.onceAsyncTest)(250, async () => {
    const socket = new _net.Socket();
    socket.connect(portNumber, host);
    try {
      await (0, _events.once)(socket, "connect");
      return true;
    } catch (error) {
      // TODO: ECONNRESET doesn't apply to raw tcp connection, right?
      if (["ECONNREFUSED", "ETIMEDOUT"].includes(error.code)) {
        return false;
      }
      throw error;
    } finally {
      socket.end();
      socket.destroy();
      socket.unref();
    }
  });
}
//# sourceMappingURL=onceTcpPortUsed.js.map