"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.processSpawned = processSpawned;
var _events = require("events");
var _util = require("util");
const delay = (0, _util.promisify)(setTimeout);
async function processSpawned(process) {
  if (isSpawnEventSupported()) {
    await (0, _events.once)(process, "spawn");
  } else {
    await Promise.race([delay(100), (0, _events.once)(process, "error").then(([error]) => Promise.reject(error))]);
  }
}
function isSpawnEventSupported() {
  const [major, minor, patch] = process.versions.node.split(".").map(s => Number(s));
  return major > 15 || major === 15 && minor >= 1 && patch >= 0;
}
//# sourceMappingURL=processSpawned.js.map