"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.filterBlankLastLine = filterBlankLastLine;
exports.mapStreamLines = mapStreamLines;
exports.tapStreamLines = tapStreamLines;
var _stream = require("stream");
function mapStreamLines(callback) {
  return new _stream.Transform({
    objectMode: true,
    transform(line, _, cb) {
      this.push(callback(line));
      cb();
    }
  });
}
function tapStreamLines(callback) {
  return new _stream.Transform({
    objectMode: true,
    transform(line, _, cb) {
      callback(line);
      this.push(line);
      cb();
    }
  });
}
function filterBlankLastLine(blankLine) {
  let bufferedBlankChunk = false;
  return new _stream.Transform({
    objectMode: true,
    transform(line, _, callback) {
      if (bufferedBlankChunk) {
        this.push(blankLine);
        bufferedBlankChunk = false;
      }
      if (line === blankLine) {
        bufferedBlankChunk = true;
      } else {
        this.push(line);
      }
      callback();
    }
  });
}
//# sourceMappingURL=stream.js.map