import { CompositeServiceConfig } from "./interfaces/CompositeServiceConfig";
import { LogLevel } from "./Logger";
import { ReadyContext } from "./interfaces/ReadyContext";
import { OnCrashContext } from "./interfaces/OnCrashContext";
export interface NormalizedCompositeServiceConfig {
    logLevel: LogLevel;
    gracefulShutdown: boolean;
    windowsCtrlCShutdown: boolean;
    services: {
        [id: string]: NormalizedServiceConfig;
    };
}
export interface NormalizedServiceConfig {
    dependencies: string[];
    cwd: string;
    command: string[];
    env: {
        [key: string]: string;
    };
    ready: (ctx: ReadyContext) => Promise<void>;
    forceKillTimeout: number;
    onCrash: (ctx: OnCrashContext) => void;
    crashesLength: number;
    logTailLength: number;
    minimumRestartDelay: number;
}
export declare function validateAndNormalizeConfig(config: CompositeServiceConfig): NormalizedCompositeServiceConfig;
export declare class ConfigValidationError extends Error {
    constructor(message: string);
}
